Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class ModelResourceVisitor

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ModelResourceVisitor

All Implemented Interfaces:
  `org.eclipse.core.resources.IResourceVisitor`

public class ModelResourceVisitor extends Object implements org.eclipse.core.resources.IResourceVisitor
This implementation of a resource visitor will allow us to browse a given hierarchy and resolve the models files in contains, as determined by
invalid reference

    ThreadedModelResolver#MODEL_CONTENT_TYPES

.

See Also:
  - invalid reference

        ThreadedModelResolver#hasModelType(IFile)

## Constructor Summary

Constructors
Constructor
Description
`ModelResourceVisitor(ResourceComputationScheduler<URI> scheduler, SynchronizedResourceSet resourceSet, IResourceDependencyLocalResolver resolver, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor monitor)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`visit(org.eclipse.core.resources.IResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelResourceVisitor

public ModelResourceVisitor(ResourceComputationScheduler<URI> scheduler, SynchronizedResourceSet resourceSet, IResourceDependencyLocalResolver resolver, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor monitor)
Default constructor.

Parameters:
  `scheduler` - The scheduler
  `resourceSet` - The resource set in which this visitor will load the model files it finds.
  `resolver` - the local dependency resolver
  `diagnostic` - The diagnostic
  `monitor` - Monitor on which to report progress to the user.

## Method Details

### visit

public boolean visit(org.eclipse.core.resources.IResource resource) throws org.eclipse.core.runtime.CoreException

Specified by:
  `visit` in interface `org.eclipse.core.resources.IResourceVisitor`
Throws:
  `org.eclipse.core.runtime.CoreException`